ukui-notification (4.21.0.0-ok0.3) nile; urgency=medium

  * Issues：无
  * 其他改动：
  -- fix(libukui-notification)：修复 desktop 文件名截取失败的问题
  -- fix(notification-server)：1.增加 desktop 查询失败，从pid查询；2.增加配置写入失败时的异常处理。
  --  fix(server):查询到desktop全路径时，使用截取后的desktop名称

 -- sundagao <sundagao@kylinos.cn>  Tue, 30 Sep 2025 16:20:11 +0800

ukui-notification (4.21.0.0-ok0.2) nile; urgency=medium

  * Issues：无
  * 其他改动：
  -- perf(libukui-notification): 去除 KF5::WindowSystem 相关依赖

 -- sundagao <sundagao@kylinos.cn>  Thu, 25 Sep 2025 16:54:09 +0800

ukui-notification (4.21.0.0-ok0.1) nile; urgency=medium

  * Issues：无
  * 其他改动：ukui4.21 传包

 -- sundagao <sundagao@kylinos.cn>  Mon, 15 Sep 2025 17:25:34 +0800

ukui-notification (4.20.1.2-ok0.9) nile; urgency=medium

  * Issues：无
  * 其他改动：
  -- fix(ukcc-plugin/translation)：增加蒙古翻译（bug:# 403331）
  -- fix(notice-menu)：设置KSwitchButton为半透明状态（bug:405131）
  -- chore(libukui-notification)：添加通知开发接口文档
  -- chore(libukui-notification)：增加信号的文档注释
  -- fix(libukui-notification/utils)：更改判断 platform 的接口

 -- sundagao <sundagao@kylinos.cn>  Fri, 12 Sep 2025 10:31:41 +0800

ukui-notification (4.20.1.2-ok0.8) nile; urgency=medium

  * Issues：无
  * 其他改动：
  -- fix(libukui-notificaiton)：修复因QTime无效时导致的CUP占用过高的问题
 -- sundagao <sundagao@kylinos.cn>  Tue, 26 Aug 2025 16:26:40 +0800

ukui-notification (4.20.1.2-ok0.7) nile; urgency=medium

  * Issues：无
  * 其他改动：
  -- fix（notification-global-settings）：修复勿扰模式定时器频繁启动导致的CPU占用过高的问题

 -- sundagao <sundagao@kylinos.cn>  Mon, 25 Aug 2025 15:58:30 +0800

ukui-notification (4.20.1.2-ok0.6) nile; urgency=medium

  * Issues：无
  * 其他改动：
  -- fix(global-settings): 替换全屏活动窗口状态接口（bug：#371149）
  -- feat(ukui-notification-server)：应用资源适配（task:#500497）

 -- sundagao <sundagao@kylinos.cn>  Wed, 06 Aug 2025 16:54:24 +0800

ukui-notification (4.20.1.2-ok0.5) nile; urgency=medium

  * Issues：无
  * 其他改动：
  -- chore(debian/control): 增加编译依赖重编

 -- sundagao <sundagao@kylinos.cn>  Wed, 23 Jul 2025 11:17:02 +0800

ukui-notification (4.20.1.2-ok0.4) nile; urgency=medium

  * Issues：无
  * 其他改动：
  -- fix(notification-ukcc-plugin)：修复一处勿扰模式写入异常的问题
  -- feat(notification-global-settings)：实时更新勿扰模式状态
  -- fix(notification-server)：增加获取允许闹钟提示声音接口及信号（bug: #371153）
  -- fix(notification-ukcc-plugin)：增加通知插件的繁体翻译文件（bug:#377545）
  -- feat(notification-server)：增加单个应用查询是否允许发送通知时提示声音的接口

 -- sundagao <sundagao@kylinos.cn>  Wed, 16 Jul 2025 16:02:10 +0800

ukui-notification (4.20.1.2-ok0.3) nile; urgency=medium

  * Issues：无
  * 其他改动：
    - 适配管控接口

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 03 Jul 2025 17:37:14 +0800

ukui-notification (4.20.1.2-ok0.2) nile; urgency=medium

  * Issues：无
  * 其他改动：
  -- nile-sp2 传包:
    -- chore(notification-allowlist)：更新默认应用列表
    -- feat(libukui-notification)：配置文件增加配置来源属性
    -- feat(notification-server)：标记配置来源，增加默认配置列表更新时的处理

 -- sundagao <sundagao@kylinos.cn>  Mon, 09 Jun 2025 15:29:22 +0800

ukui-notification (4.20.1.2-ok0.1) huanghe; urgency=medium

  * Issues：无
  * 其他改动：
  -- chore(notification-server): 更改通知白名单位置
  -- chore(debian):增加白名单安装路径
  -- feat(libukui-notification)：删除settings-manager的默认列表的注册机制
  -- feat(notification-server)：notification-server重新实现通知默认列表注册机制
  -- perf(notification-ukcc-plugin)：修改为获取全局UkuiSearch::ApplicationInfo实例
  -- chore(notification-allowlist):更新通知注册白名单

 -- sundagao <sundagao@kylinos.cn>  Thu, 29 May 2025 17:11:29 +0800

ukui-notification (4.20.1.1-ok0.1) huanghe; urgency=medium

  * Issues：无
  * 其他改动：
  -- chore(debian): 增加notification-server翻译文件安装路径
  -- Added translation using Weblate
  -- chore(notification-server): 修改繁体翻译
  -- feat(settings-manager): 增加默认应用的文件注册机制（story:#46343）
  -- feat(notification-settings/conf): 增加白名单应用（story:#46343

 -- sundagao <sundagao@kylinos.cn>  Wed, 21 May 2025 18:17:42 +0800

ukui-notification (4.20.1.0-ok0.1) huanghe; urgency=medium

  * Issues：无
  * 其他改动：
    - 1. feat(libukui-notification):通知管理策略优化，修改配置相关部分（stroy#46343）
    - 2. feat(notification-server):通知管理策略优化，增加通知管理注册机制（story#46343）
    - 3. feat(notification-ukcc-plugin):通知管理策略优化，通过desktop文件名，获取相关配置（story#46343）
 -- sundagao <sundagao@kylinos.cn>  Wed, 30 Apr 2025 10:11:44 +0800

ukui-notification (4.20.0.5-ok0.1) huanghe; urgency=medium

  * Issues：无
  * 其他改动：
    - fix(notification-server): 修复通过调用通知dbus接口拉起服务时，接口调用失败的问题（bug：#339872,#339997）

 -- sundagao <sundagao@kylinos.cn>  Mon, 07 Apr 2025 10:57:06 +0800

ukui-notification (4.20.0.4-ok0.1) huanghe; urgency=medium

  * Issues：无
  * 其他改动：
    - fix(notification-ukcc-plugin):修复控制面板通知UI App设置列表隐藏时，父窗口异常刷新问题
    - fix(notification-ukcc-plugin):修复‘NoticeMenu::setPopopStyle’未定义的问题
    - fix(notification-ukcc-plugin): 链接libkysdk-qtwidgets

 -- sundagao <sundagao@kylinos.cn>  Fri, 28 Feb 2025 14:43:27 +0800

ukui-notification (4.20.0.3-ok0.1) huanghe; urgency=medium

  * Issues:无
  * 其他改动：
    - fix(notification-server): 修复通知缓存时未缓存time_out字段的问题
    - 更新翻译

 -- iaom <zhangpengfei@kylinos.cn>  Fri, 14 Feb 2025 15:31:23 +0800

ukui-notification (4.20.0.2-ok0.1) huanghe; urgency=medium

  * Issues:无
  * 其他改动：
    - fix(notification-ukcc-plugin): 修复控制面板通知界面失焦时候，界面三个点按钮显示背景异常的

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 23 Jan 2025 16:09:57 +0800

ukui-notification (4.20.0.1-ok0.1) huanghe; urgency=medium

   * Issues:无
  * 其他改动：
    - fix(notification-ukcc-plugin): 将UI操作放在pluginUi中执行，减少控制面板打开延迟
  * 其他改动影响域：
    - 通知服务配置页

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 02 Jan 2025 09:22:10 +0800

ukui-notification (4.20.0.0-ok0.1) huanghe; urgency=medium

  * Issues:无
  * 其他改动：
    - fix(libukui-notification): 修改通知中心应用是否可配置的规则
      现在通知中心设置页会显示系统上的所有应用（包含/etc/xdg/autostart下的desktop）
      因为有些应用进程是通过自启动机制拉起的，需要通过对应的desktop进行控制
  * 其他改动影响域：
    - 通知服务配置页

 -- iaom <zhangpengfei@kylinos.cn>  Wed, 18 Dec 2024 18:05:50 +0800

ukui-notification (4.10.1.5-ok0.3) huanghe; urgency=medium

  * Issues:无
  * 其他改动：huanghe版本传包
  * 其他改动影响域：无

 -- iaom <zhangpengfei@kylinos.cn>  Mon, 21 Oct 2024 15:23:05 +0800

ukui-notification (4.10.1.5-ok0.2) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 重新传包
  * 其他改动影响域：无

 -- iaom <zhangpengfei@kylinos.cn>  Wed, 16 Oct 2024 14:32:58 +0800

ukui-notification (4.10.1.5-ok0.1) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - fix(notification-server):修复更新消息数量信号未发送问题
  * 其他改动影响域：无

 -- iaom <zhangpengfei@kylinos.cn>  Wed, 16 Oct 2024 13:47:01 +0800

ukui-notification (4.10.1.4-ok1) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 更新翻译
  * 其他改动影响域：无

 -- Kevin Duan <duankaiwen@kylinos.cn>  Wed, 19 Jun 2024 14:56:25 +0800

ukui-notification (4.10.1.4-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 更新通知服务和通知库版本号
  * 其他改动影响域：
    - 通知接口

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 19 Jun 2024 14:56:25 +0800

ukui-notification (4.10.1.3-ok1) nile; urgency=medium

  * rebuild

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 05 Jun 2024 18:21:44 +0800

ukui-notification (4.10.1.3-ok0) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 优化控制面板设置页启动时间
  * 其他改动影响域：
    - 控制面板设置页

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 05 Jun 2024 18:06:57 +0800

ukui-notification (4.10.1.2-ok01) nile; urgency=medium

  * Issues:无
  * 其他改动：
    - 修复控制面板设置页中的应用不能跟随安装卸载变化的问题
  * 控制面板设置页

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 07 Mar 2024 09:23:43 +0800

ukui-notification (4.10.1.1-ok1) nile; urgency=medium

   * Issues:无
   * 其他改动：
     - 增加自启动desktop文件

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 26 Feb 2024 16:57:41 +0800

ukui-notification (4.10.1.1-ok0) nile; urgency=medium

   * Issues:无
   * 其他改动：
     - 优化通知设置插件UI启动速度
     - 通知超时时间单位统一设置为毫秒

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 26 Feb 2024 13:56:38 +0800

ukui-notification (4.10.1.0-ok3) nile; urgency=medium

  * 解决编译问题，重新传包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 29 Jan 2024 09:27:15 +0800

ukui-notification (4.10.1.0-ok2) nile; urgency=medium

  * 重新传包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 29 Jan 2024 09:17:54 +0800

ukui-notification (4.10.1.0-ok1) nile; urgency=medium

  * 重新传包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Sun, 28 Jan 2024 08:23:50 +0800

ukui-notification (4.10.1.0-ok0) nile; urgency=medium

   * Issues:https://gitee.com/openkylin/ukui-control-center/issues/I8X2HD
   * 其他改动：
     - 增加通知接口qch文档

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Fri, 26 Jan 2024 11:15:16 +0800

ukui-notification (4.10.0.2-ok0) nile; urgency=medium

   * Issues:无
   * 其他改动：
     - 修复应用关闭通知接口失效的问题
   * 其他改动影响域：
     - 通知接口

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 22 Nov 2023 14:57:27 +0800

ukui-notification (4.10.0.1-ok0) nile; urgency=medium

   * Issues:无
   * 其他改动：
     - 修复通知关闭时无关闭信号的问题
   * 其他改动影响域：
     - 通知接口

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 15 Nov 2023 09:11:19 +0800

ukui-notification (4.10.0.0-ok0) nile; urgency=medium

  * update to nile

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 25 Oct 2023 11:05:00 +0800

ukui-notification (4.0.1.2-ok0) yangtze; urgency=medium

  * Issues: https://gitee.com/openkylin/ukui-control-center/issues/I80Y9K?from=project-issue
  * 其他改动：无

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 25 Oct 2023 11:02:46 +0800

ukui-notification (4.0.1.1-ok0) yangtze; urgency=medium

  * Issues:I817YL【主要】【通知中心】系统安装完成后通知中心中获取来自应用的通知默认为关闭状态
  * 其他改动：无

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 18 Sep 2023 16:33:59 +0800

ukui-notification (4.0.1.0-ok4) yangtze; urgency=medium
  * 修复dh_install报错问题

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 17 Aug 2023 17:47:01 +0800

ukui-notification (4.0.1.0-ok3) yangtze; urgency=medium

  * 增加libkysdk-qtwidgets-dev编译依赖
  * 增加libukcc-dev编译依赖
  * 由于kysdk头文件中依赖QGsettings,增加libgsettings-qt-dev编译依赖

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 17 Aug 2023 09:44:34 +0800

ukui-notification (4.0.1.0-ok2) yangtze; urgency=medium

  * 增加qttools5-dev编译依赖

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 16 Aug 2023 15:30:23 +0800

ukui-notification (4.0.1.0-ok1) yangtze; urgency=medium

  * 增加cmake编译依赖

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 16 Aug 2023 13:56:56 +0800

ukui-notification (4.0.1.0-ok0) yangtze; urgency=medium

  * 增加日志处理机制

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 01 Aug 2023 17:20:52 +0800

ukui-notification (4.0.0.0-ok0) yangtze; urgency=medium

  * 新版桌面通知后台服务，替换ukui-notification-daemon

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 31 Jul 2023 18:00:59 +0800
